import java.util.List;
import java.util.LinkedList;

public abstract class Application {

    private List _documents;

    public Application() {
        _documents = new LinkedList();
    }

    public abstract Document createDocument(String name);

    public void add(Document d) {
        _documents.add(d);
    }

    public void remove(Document d) {
        _documents.remove(d);
    }

    public void newDocument(String name) {
        Document d = createDocument(name);
        add(d);
        d.open();
    }
}
